Bug 1723824 - Orion doesn't open complaining about missing module "QtQuick.Controls" version 2.1
Summary: Orion doesn't open complaining about missing module "QtQuick.Controls" versio...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: orion
Version: 30
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-06-25 13:41 UTC by Carlos Mogas da Silva
Modified: 2019-07-21 15:27 UTC (History)
1 user (show)

Fixed In Version: orion-1.6.6-3.fc30 orion-1.6.6-2.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-21 01:00:14 UTC


Attachments (Terms of Use)

Description Carlos Mogas da Silva 2019-06-25 13:41:49 UTC
Description of problem:
After installing orion-1.6.6-2.fc30 (it pulled qt5-qtquickcontrols-5.12.1-1.fc30 as a dep), trying to open it, doesn't show any window (but the process is still present).
Running it via commandline with the "-d" parameter shows this:
$ orion  -d
QQmlApplicationEngine failed to load component
qrc:/main.qml:17 module "QtQuick.Controls" version 2.1 is not installed


Version-Release number of selected component (if applicable):
orion-1.6.6-2.fc30
qt5-qtquickcontrols-5.12.1-1.fc30

How reproducible:
Everytime


Steps to Reproduce:
1. Install Orion
2. Try to open it
3.

Actual results:
Process remains in execution without showing any window

Expected results:
Application show open.


Additional info:

Comment 1 Fedora Update System 2019-06-26 14:49:53 UTC
FEDORA-2019-1a840a409a has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-1a840a409a

Comment 2 Fedora Update System 2019-06-26 14:50:06 UTC
FEDORA-2019-4c0f29bbbc has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-4c0f29bbbc

Comment 3 Fedora Update System 2019-06-27 01:41:41 UTC
orion-1.6.6-3.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-4c0f29bbbc

Comment 4 Fedora Update System 2019-06-27 02:43:44 UTC
orion-1.6.6-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-1a840a409a

Comment 5 Fedora Update System 2019-07-21 01:00:14 UTC
orion-1.6.6-3.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2019-07-21 06:50:01 UTC
orion-1.6.6-2.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2019-07-21 15:27:52 UTC
orion-1.6.6-3.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.